
Smart Proxy - Bug #6956

foreman-proxy requires rubygem-rack => 1.1.0

08/06/2014 08:57 AM - Leah Fisher

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/196

  

Description

When trying to start the foreman-proxy service, it would start and then crash with no errors.  This was due to the having

rubygem-rack-1.0.1-2.el6.noarch installed.  Better error messages and a possible version requirement on the foreman proxy rpm

would be helpful.

Related issues:

Related to Smart Proxy - Refactor #4866: As a developer I'd like to break up ... Closed 03/26/2014

Associated revisions

Revision 165c257e - 08/07/2014 07:48 AM - Dominic Cleal

fixes #6956 - rack 1.1 minimum required for Rack::Server#start

History

#1 - 08/06/2014 08:58 AM - Dominic Cleal

- Project changed from Foreman to Packaging

- translation missing: en.field_release set to 10

Likely the same for debs too.

#2 - 08/06/2014 08:58 AM - Dominic Cleal

- Related to Refactor #4866: As a developer I'd like to break up smart-proxy into multiple components added

#3 - 08/07/2014 05:37 AM - Dominic Cleal

- Project changed from Packaging to Smart Proxy

- Category set to Packaging

- Assignee set to Dominic Cleal

#4 - 08/07/2014 05:38 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.5

- Pull request https://github.com/theforeman/smart-proxy/pull/196 added

- Pull request deleted ()

#5 - 08/07/2014 08:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 165c257e78b17ab567dadb3218fb41f220a9c1b1.
